%define major 		20
%define pangomajor	20
%define gi_major	1.0
%define gi_major2	2.0

%define libname		%mklibname %{name} %{major}
%define libname_pango	%mklibname %{name}-pango %{pangomajor}
%define develname 	%mklibname -d %{name}
%define girname 	%mklibname %{name}-gir %{gi_major}
%define girname_pango	%mklibname %{name}-pango-gir %{gi_major}

%define girname2 	%mklibname %{name}-gir %{gi_major2}
%define girname_pango2	%mklibname %{name}-pango-gir %{gi_major2}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		cogl
Version:	1.22.8
Release:	%mkrel 1
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
License:	LGPLv2+
URL:		https://gitlab.gnome.org/GNOME/cogl
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0: 0001-egl-Use-eglGetPlatformDisplay-not-eglGetDisplay.patch
Patch1: 0002-add-GL_ARB_shader_texture_lod-support.patch
Patch2: 0003-texture-support-copy_sub_image.patch
BuildRequires:	mesa-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes) >= 3
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xcomposite) >= 0.4
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(cairo) >= 1.10
BuildRequires:	pkgconfig(pangocairo) >= 1.20
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
# ovitters: Wayland support + required KMS support
BuildRequires:	pkgconfig(wayland-egl) >= 1.0.0
BuildRequires:	pkgconfig(wayland-client) >= 1.0.0
BuildRequires:	pkgconfig(wayland-server) >= 1.1.90
BuildRequires:	pkgconfig(gbm)

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

%files
%{_datadir}/locale


%package -n %{libname}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
Requires: %name

%description -n %{libname}
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

%files -n %{libname}
%{_libdir}/libcogl.so.%{major}*
%{_libdir}/libcogl-path.so.%{major}*
%{_libdir}/libcogl-pango.so.%{pangomajor}*
%{_libdir}/girepository-1.0/Cogl-%{gi_major}.typelib
%{_libdir}/girepository-1.0/CoglPango-%{gi_major}.typelib
%{_libdir}/girepository-1.0/Cogl-%{gi_major2}.typelib
%{_libdir}/girepository-1.0/CoglPango-%{gi_major2}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	%{name} development environment
Group:		Development/Libraries
Obsoletes: %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	mesa-devel
Requires:	pkgconfig(egl)
Requires:	pkgconfig(gl)

%description -n %{develname}
Header files and libraries for building and developing apps with %{name}.

%files -n %{develname}
%{_includedir}/cogl
%{_libdir}/libcogl*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Cogl*-%{gi_major}.gir
%{_datadir}/gir-1.0/Cogl*-%{gi_major2}.gir

#--------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Documentation 
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains documentation for %{name}.

%files doc
%{_datadir}/gtk-doc/html/cogl
%{_datadir}/gtk-doc/html/cogl-2.0-experimental

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
CFLAGS="%{optflags} -fPIC"

%configure2_5x \
	--enable-cairo=yes \
	--enable-gdk-pixbuf=yes \
	--enable-cogl-pango=yes \
	--enable-glx=yes \
	--enable-gtk-doc \
	--enable-introspection=yes \
	--enable-examples-install=no \
	--enable-wayland-egl-server=yes \
	--enable-wayland-egl-platform=yes \
	--enable-kms-egl-platform
%make_build

%install
%make_install

#Remove examples
rm -rf %{buildroot}%{_datadir}/%{name}/examples-data/

#Remove libtool archives.
find %{buildroot} -name "*.la" -delete


%changelog
* Sun Jul 03 2022 tex - 1.22.8-1pclos2022
- update pkg
